Skip to content

database_api.find_escrows ​

since HF14

Purpose ​

Returns a list of escrows.

Parameters ​

PARAMETERS
json
{
  "from": ""
}

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_escrows",
    "params": {
      "from": "temp"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "escrows": [
    {
      "id": 143,
      "escrow_id": 12345,
      "from": "temp",
      "to": "guest123",
      "agent": "smitop",
      "ratification_deadline": "2038-01-19T03:14:06",
      "escrow_expiration": "2038-01-19T03:14:07",
      "sbd_balance": {
        "amount": "0",
        "precision": 3,
        "nai": "@@000000013"
      },
      "steem_balance": {
        "amount": "1",
        "precision": 3,
        "nai": "@@000000021"
      },
      "pending_fee": {
        "amount": "1",
        "precision": 3,
        "nai": "@@000000021"
      },
      "to_approved": false,
      "agent_approved": false,
      "disputed": false
    }
  ]
}